import React from "react";

interface Props {
  alt?: string;
  src: string;
  position?: "left" | "center" | "right";
  className?: string;
}

export const SubFooter: React.FC<Props> = ({
  alt,
  src,
  position = "left",
  className,
}) => {
  const POSITION_MAPPING: Record<string, string> = {
    left: "justify-start",
    center: "justify-center",
    right: "justify-end",
  };
  return (
    <div
      className={`hidden xl:flex w-full py-8 ${POSITION_MAPPING[position]} ${
        className || ""
      }`}
    >
      <img className="max-w-2/3 max-h-96" src={src} alt={alt} />
    </div>
  );
};
