import * as React from "react";
import GridCard from "@components/GridCard";
import type { Story } from "@ladle/react";
import { ArrowRight } from "@carbon/icons-react";

const CARD = {
  id: 1,
  title: "Lorem ipsum dolor",
  subtitle: "Lorem ipsum",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque nunc lectus, lobortis ut justo et, tempus fermentum purus",
  image: {
    alt: "news-1",
    src: "https://picsum.photos/id/1016/650/650",
  },
  type: "dark",
  button: {
    caption: "More",
    href: "#",
  },
};

interface GridCardProps {
  lightVariant: boolean;
}

export const GridCardStory: Story<GridCardProps> = ({ lightVariant }) => (
  <div className="grid grid-rows-3 lg:grid-cols-3 gap-5">
    <div>
      <GridCard
        title={CARD.title}
        subtitle={CARD.subtitle}
        buttonCaption={CARD.button.caption}
        buttonTarget={CARD.button.href}
        img={CARD.image.src}
        imgAlt={CARD.image.alt}
        children={CARD.description}
        light={lightVariant}
        icon={<ArrowRight/>}
      />
    </div>
    <div>
      <GridCard
        title={CARD.title}
        subtitle={CARD.subtitle}
        buttonCaption={CARD.button.caption}
        buttonTarget={CARD.button.href}
        img={CARD.image.src}
        imgAlt={CARD.image.alt}
        children={CARD.description}
        light={lightVariant}
        icon={<ArrowRight/>}
      />
    </div>
    <div>
      <GridCard
        title={CARD.title}
        subtitle={CARD.subtitle}
        buttonCaption={CARD.button.caption}
        buttonTarget={CARD.button.href}
        img={CARD.image.src}
        imgAlt={CARD.image.alt}
        children={CARD.description}
        light={lightVariant}
        icon={<ArrowRight/>}
      />
    </div>
  </div>
);

GridCardStory.args = {
  lightVariant: false,
};

export default {
  title: "Molecules",
};
GridCardStory.storyName = "Grid Card";
