import * as React from "react";
import { HorizontalNewsCard } from "@components/HorizontalNewsCard";
import type { Story } from "@ladle/react";
import { INews } from "@interfaces/INews";
import { Color } from "@interfaces/INews";

const news: INews = {
  id: 2,
  title: "Lorem ipsum dolor sit amet consectetur adipiscing",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus dictum condimentum turpis eu condimentum. Maecenas maximus lectus vitae est sollicitudin bibendum. Ut iaculis ullamcorper bibendum. Maecenas et mauris eu felis posuere cursus ac sit amet urna. In hendrerit nibh et ligula eleifend, ut posuere sem sollicitudin. Quisque vel tempor mauris, nec lobortis urna. ",
  image: {
    alt: "news-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  date: "2020-01-01",
  category: {
    id: 2,
    title: "News",
    href: "#",
  },
  time: "SA., 13. Juli, 11:00",
  location: "Neues Amt Altona",
  href: "#",
  type: "light",
};

const news2: INews = {
  id: 2,
  title: "Lorem ipsum dolor sit amet consectetur adipiscing",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque nunc lectus, lobortis ut justo et, tempus fermentum purus",
  image: {
    alt: "news-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  date: "2020-01-01",
  category: {
    id: 2,
    title: "News",
    href: "#",
  },
  time: "SA., 13. Juli, 11:00",
  location: "Neues Amt Altona",
  href: "#",
  type: "dark",
};

interface HorizontalNewsCardConfigProps {
  customColorCode: Color;
  textColor: "dark" | "light";
}

export const HorizontalNewsCardStory: Story<HorizontalNewsCardConfigProps> = ({
  customColorCode,
  textColor,
}: HorizontalNewsCardConfigProps) => {
  return (
    <div className="w-full xl:w-4/6">
      <div className="flex flex-col gap-5">
        <HorizontalNewsCard
          key={news.id}
          id={news.id}
          image={news.image}
          title={news.title}
          description={news.description}
          time={news.time}
          location={news.location}
          category={news.category}
          href={news.href}
          type={news.type}
          customBackgroundColor={customColorCode}
          textColor={textColor}
        />
        <HorizontalNewsCard
          key={news.id}
          id={news.id}
          image={news.image}
          title={news.title}
          description={news.description}
          time={news.time}
          location={news.location}
          category={news.category}
          href={news.href}
          type={news.type}
        />
        <HorizontalNewsCard
          key={news2.id}
          id={news2.id}
          image={news2.image}
          title={news2.title}
          description={news2.description}
          time={news2.time}
          location={news2.location}
          category={news2.category}
          href={news2.href}
          type={news2.type}
        />
        <HorizontalNewsCard
          key={news2.id}
          id={news2.id}
          image={news2.image}
          title={news2.title}
          description={news2.description}
          time={news2.time}
          location={news2.location}
          category={news2.category}
          href={news2.href}
          type={news2.type}
          customBackgroundColor={customColorCode}
          textColor={textColor}
        />
      </div>
    </div>
  );
};

HorizontalNewsCardStory.args = {
  customColorCode: "#fcba03",
};

HorizontalNewsCardStory.argTypes = {
  textColor: {
    options: ["dark", "light"],
    control: { type: "select" },
    defaultValue: "dark",
  },
};

export default {
  title: "Molecules",
};

HorizontalNewsCardStory.storyName = "Horizontal News Card";
